Forum Thread: Wrong Version number detected

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
Programs

Relating to this vendor:
And, this specific program:
Ruby 1.9.x

This thread has been marked as locked.
q.zuiopue Wrong Version number detected
Member 4th Aug, 2011 12:21
Ranking: 0
Posts: 2
User Since: 29th Dec, 2010
System Score: N/A
Location: DE
Secunia PSI detects 1.2.290 as my version of Ruby.
Correct would be 1.9.2.290.
It suggests to install 1.9.2.180.
Because of this, PSI says that I have got outdated programs.

This user no longer exists RE: Wrong Version number detected
Member 4th Aug, 2011 14:56
Hi,

Do you have more than one detection of Ruby?

If not, can I ask you to post the debug report for the program?
http://secunia.com/vulnerability_scanning/personal...

Was this reply relevant?
+0
-0
q.zuiopue RE: Wrong Version number detected
Member 5th Aug, 2011 23:11
Score: 0
Posts: 2
User Since: 29th Dec 2010
System Score: N/A
Location: DE
---START---

Program Name:
Ruby 1.9.x

Security State:
Insecure

Download Link:
ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p1...

Instances Found:
C:\Ruby192\bin\ruby.exe, version: 1.2.290

Last System Scan (localtime):
4. Aug 2011, 09:53

Operating System:
Microsoft Windows 7,

---END---
Was this reply relevant?
+0
-0
spiritracker RE: Wrong Version number detected
Member 11th Aug, 2011 03:02
Score: 0
Posts: 1
User Since: 11th Aug 2011
System Score: N/A
Location: US
I'm having this same problem. I uninstalled and reinstalled a new download of the program with no success. It still comes up as insecure.


---START---

Program Name:
Ruby 1.9.x

Security State:
Insecure

Download Link:
ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.2-p1...

Instances Found:
C:\Program Files\Programing\Ruby\bin\ruby.exe, version: 1.2.290

Last System Scan (localtime):
10. Aug 2011, 20:38

Operating System:
Microsoft Windows XP Professional, Service Pack 3

---END---
Was this reply relevant?
+0
-0
katwol RE: Wrong Version number detected
Member 12th Aug, 2011 14:50
Score: 0
Posts: 1
User Since: 12th Aug 2011
System Score: N/A
Location: DE
Same problem here:

Detected Instances:
C:\Program Files (x86)\Spiceworks\bin\ruby.exe, version 1.2.180

Latest Version - patching one or more vulnerabilities:
1.9.2.180

Actually installed version (from the properties of the file):
1.9.2p 180

OS: Windows 7 Professional SP1

Please fix the detection!
Katharina
Was this reply relevant?
+0
-0
This user no longer exists RE: Wrong Version number detected
Secunia Official 12th Aug, 2011 15:24
Last edited on 12th Aug, 2011 15:25 Hi.

It seems there was a minor error in our detection rule, which has now been corrected.

Ruby will now be detected as the actual installed version.

We apologize for the inconvenience.

This thread has been marked as locked.